package com.kingdee.eas.custom.projectbonus.app;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.app.CoreBillEntryBaseController;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectCollection;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectInfo;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.metadata.entity.SorterItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

import java.rmi.RemoteException;
import com.kingdee.bos.framework.ejb.BizController;

public interface BonusCycleBusDepProjectController extends CoreBillEntryBaseController
{
    public boolean exists(Context ctx, IObjectPK pk) throws BOSException, EASBizException, RemoteException;
    public boolean exists(Context ctx, FilterInfo filter) throws BOSException, EASBizException, RemoteException;
    public boolean exists(Context ctx, String oql) throws BOSException, EASBizException, RemoteException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(Context ctx, IObjectPK pk) throws BOSException, EASBizException, RemoteException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(Context ctx, IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException, RemoteException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(Context ctx, String oql) throws BOSException, EASBizException, RemoteException;
    public IObjectPK addnew(Context ctx, BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException, RemoteException;
    public void addnew(Context ctx, IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException, RemoteException;
    public void update(Context ctx, IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException, RemoteException;
    public void updatePartial(Context ctx, BonusCycleBusDepProjectInfo model, SelectorItemCollection selector) throws BOSException, EASBizException, RemoteException;
    public void updateBigObject(Context ctx, IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException, RemoteException;
    public void delete(Context ctx, IObjectPK pk) throws BOSException, EASBizException, RemoteException;
    public IObjectPK[] getPKList(Context ctx) throws BOSException, EASBizException, RemoteException;
    public IObjectPK[] getPKList(Context ctx, String oql) throws BOSException, EASBizException, RemoteException;
    public IObjectPK[] getPKList(Context ctx, FilterInfo filter, SorterItemCollection sorter) throws BOSException, EASBizException, RemoteException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection(Context ctx) throws BOSException, RemoteException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection(Context ctx, EntityViewInfo view) throws BOSException, RemoteException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection(Context ctx, String oql) throws BOSException, RemoteException;
    public IObjectPK[] delete(Context ctx, FilterInfo filter) throws BOSException, EASBizException, RemoteException;
    public IObjectPK[] delete(Context ctx, String oql) throws BOSException, EASBizException, RemoteException;
    public void delete(Context ctx, IObjectPK[] arrayPK) throws BOSException, EASBizException, RemoteException;
    public void enable(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void disable(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void submit(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void withdraw(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void calculate(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public String syncDepProject(Context ctx, String cycleId) throws BOSException, EASBizException, RemoteException;
    public void submitCalculate(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void withdrawToSubmited(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void submitRecheck(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
    public void withdrawToCalculate(Context ctx, String billId) throws BOSException, EASBizException, RemoteException;
}